petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexGetMaxSizes

Return the maximum number of in-edges (cone) and out-edges (support) for any point in the DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetMaxSizes(DM dm, PetscInt *maxConeSize, PetscInt *maxSupportSize)

Not collective

### Input Parameter

mesh -The DMPlex

### Output Parameters

| maxConeSize | - The maximum number of in-edges
| maxSupportSize | - The maximum number of out-edges

### See Also

DMPlexCreate(), DMPlexSetConeSize(), DMPlexSetChart()

### Level

beginner

### Location

src/dm/impls/plex/plex.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages